Package be.fgov.ehealth.rn.baselegaldata.v1

# Class GenderInfoDeclarationType

java.lang.Object
be.fgov.ehealth.rn.baselegaldata.v1.GenderInfoDeclarationType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public class GenderInfoDeclarationType extends Object implements Serializable
Type describing the GenderInfo part of the person information to be provided by the customer

Java class for GenderInfoDeclarationType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GenderInfoDeclarationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="GenderCode" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}GenderCodeType" minOccurs="0"/>
             <element name="InceptionDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenderInfoDeclarationType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getGenderCode()`
  Gets the value of the genderCode property.
  `Instant`
  `getInceptionDate()`
  Gets the value of the inceptionDate property.
  `void`
  `setGenderCode(String value)`
  Sets the value of the genderCode property.
  `void`
  `setInceptionDate(Instant value)`
  Sets the value of the inceptionDate property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GenderInfoDeclarationType

    public GenderInfoDeclarationType()

- ## Method Details

  - ### getGenderCode

    public String getGenderCode()
    Gets the value of the genderCode property.
    Returns:
      possible object is `String`

  - ### setGenderCode

    public void setGenderCode(String value)
    Sets the value of the genderCode property.
    Parameters:
      `value` - allowed object is `String`

  - ### getInceptionDate

    public Instant getInceptionDate()
    Gets the value of the inceptionDate property.
    Returns:
      possible object is `String`

  - ### setInceptionDate

    public void setInceptionDate(Instant value)
    Sets the value of the inceptionDate property.
    Parameters:
      `value` - allowed object is `String`